var pixelProjection = new ol.proj.Projection({
	code: 'metric',
	units: 'm', 
	extent: [0, 0, 20, 10] 
});
var container = document.getElementById('popup');
var content = document.getElementById('popup-content');
var closer = document.getElementById('popup-closer');

closer.onclick = function() {
  container.style.display = 'none';
  closer.blur();
  return false;
};

var overlay = new ol.Overlay({
  element: container
});
var source = new ol.source.Zoomify({
	url: 'img/beispielBild.png',
	size: [122, 90],
	crossOrigin: 'anonymous'
});

var iconFeature = new ol.Feature({
  geometry: new ol.geom.Point([50,20]),
  population: 4000,
  rainfall: 500
});

var iconStyle = new ol.style.Style({
  image: new ol.style.Icon(/** @type {olx.style.IconOptions} */ ({
    anchor: [0.5, 46],
    anchorXUnits: 'fraction',
    anchorYUnits: 'pixels',
    opacity: 0.75,
    src: 'img/icon.png'
  }))
});

iconFeature.setStyle(iconStyle);

var vectorSource = new ol.source.Vector({
  features: [iconFeature]
});

var vectorLayer = new ol.layer.Vector({
  source: vectorSource
});

var map = new ol.Map({
    layers: [
    new ol.layer.Image({
            source: new ol.source.ImageStatic({
                url: 'img/beispielBild.png', 
                imageSize: [122, 90],
                projection: pixelProjection,
                imageExtent: pixelProjection.getExtent()
          })
       }),
       vectorLayer 
    ],
    overlays: [overlay],
    target: 'map',
    view: new ol.View2D({
    projection: pixelProjection,
        center: ol.extent.getCenter(pixelProjection.getExtent()),
    zoom: 2
    })
});

map.on('click', function(evt) {
    var coordinate = evt.coordinate;    
    overlay.setPosition(coordinate);
    content.innerHTML = '<p>Geklickt:</p></br><code>x: ' +  coordinate[0] + ' m </br> y: ' + coordinate[1] + ' m</code>';
    container.style.display = 'block';

});
function checkRefresh(button){
    if(button.Xcoord.value == "" || button.Ycoord.value == "" || button.Xcoord.value == "" && button.Ycoord.value == ""){
        alert("Bitte geben Sie die Werten an!");
        return(false);
    }
    return (true);
};

$('refresh').click(function(){
    vectorMarker.setStyle(createMarkerStyleFunction());
});

function checkKey(objInput){
    var strCheck = objInput.value;
    strCheck = strCheck.substring((strCheck.length-1), strCheck.length);
      if(strCheck.search(/[0-9]/) == -1){
      if(objInput.value == "") return;
      objInput.value = objInput.value.substr(0, (objInput.value.length-1));
    }
};
